机器视觉论坛VISIONBBS_视觉之家VISIONHOME微信公众号:石鑫华视觉网

 找回密码
 注册会员
查看: 241|回复: 0

[NI驱动软件] NI-SCOPE 17.1.2 Win32/64 Eng/Jpn NI仪器驱动程序SCOPE17.1.2

[复制链接]
  • TA的每日心情
    擦汗
    半小时前
  • 签到天数: 2313 天

    连续签到: 36 天

    [LV.Master]2000FPS

    发表于 2021-3-17 00:08:58 | 显示全部楼层 |阅读模式

    注册登陆后可查看附件和大图,以及购买相关内容

    您需要 登录 才可以下载或查看,没有帐号?注册会员

    x
    Windows系统下(Linux和MAC系统下请自行了解清楚)NI的各种软件模块工具包驱动程序,使用NI许可证管理器来激活的,绝大部分的都可以使用NI Lincense Acvivator来激活,以下链接可下载:
    NI序列号Serial Number生成激活工具NI License Activator,LabVIEW/VBAI/VDM/VAS等软件模块工具包破解工具不限版本
    http://visionbbs.com/thread-490-1-1.html

    视觉论坛的各种资源,除了视觉相关的模块有使用外,大部分的都不会使用,所以仅提供资源不能提供技术支持。资源的下载地址一般会同时提供NI官方地址和百度网盘的下载地址。某些工具包NI的地址失效或没有NI的下载地址,那视觉论坛也没有办法,只能尝试使用百度网盘地址下载;如果百度网盘的下载地址失效过期,可联系论坛客服更新。现在NI的下载服务器对我国IP地址不是很友好,有些时候速度很慢或大的资源下载很容易出错,这样会造成安装过程各种类型报错而无法安装。建议在下载完成后,对下载资源做校验和验证(NI一般会提供MD5或SHA256等),与官方或视觉论坛提供的校验和对比,一致就可以安装,如果不一致,则需要重新下载。视觉论坛早期下载的资源,那时候NI没有这么多限制,基本上都是正常下载的资源;后期下载的资源,都与NI的正确校验和对比过,保证是正确的资源才上传到百度网盘,所以百度网盘的资源基本上是正确的。校验和工具下载地址:
    文件Hash计算器FHash,文件校验和验证下载文件正确性验证,MD5值计算、SHA1值计算、SHA256值计算、CRC32值计算
    http://visionbbs.com/thread-26524-1-1.html

    NI-SCOPE 17.1.2 Win32/64 Eng/Jpn NI仪器驱动程序SCOPE17.1.2

    NI-SCOPE
    NI-SCOPE为使用NI示波器产品的客户提供支持。
    NI-SCOPE仪器驱动可帮助您进行多记录采集、连续采集、多板同步,并利用超过50个测量和分析函数以及传统示波器的功能。NI-SCOPE是一种兼容可互换虚拟仪器(IVI)的仪器驱动程序,提供了一系列操作和属性,可以执行波形或信号发生器的功能,并包含了交互式软件前面板和示例。

    Win32/64Eng/Jpn
    17.1.2
    文件名: NI-SCOPE\Win\NISCOPE1712.zip
    文件大小: 2396388089 字节 (2.23 GB)
    修改日期: 2017-08-02 03:26
    MD5: e1523413208a9335f97d5398345810c6(官方正确)
    SHA1: 5244227a403c58429f850e696cdd25cc11834766
    SHA256: b3c295ddaf01679e755347de9258698f5c57899da1587cb86dd1d34563fee95e
    CRC32: 9399279e

    百度网盘与NI官方下载地址:
    SCOPE17.1.2.txt (589 Bytes, 下载次数: 0, 售价: 5 快钱)

    NI-SCOPE 17.1 Readme
    March 2017
    This file contains important information about the NI-SCOPE driver, including installation instructions, new features, a partial list of bugs fixed for NI-SCOPE 17.1, and known issues.
    Overview
    System Requirements
    Supported Operating Systems
    Application Software Support
    Installation Instructions
    Product Security and Critical Updates
    New Features
    Supported Hardware
    Driver Version Naming Changes
    Known Issues
    Accessing the Help
    Finding Examples
    Automating the Installation of NI Products
    Using NI Software with Microsoft Windows 10
    Using NI Software with Microsoft Windows 8.1
    Product Security and Critical Updates
    LabVIEW NXG Support and Considerations
    Legal Information

    Overview
    NI-SCOPE allows you to implement various acquisitions, measurement and analysis functions, and the functionality of traditional oscilloscopes. NI-SCOPE also includes the NI-SCOPE Soft Front Panel, which allows you to use your NI digitizer without programming.
    System Requirements
    NI-SCOPE 17.1 has the following requirements:
    • 1 GHz or faster 32-bit (x86) or 64-bit (x64) processor
    • 1 GB RAM (32-bit) or 2 GB RAM (64-bit)
    • A screen resolution of 1,024 x 768
    • If you are running your application on an RT target, at least 128 MB of memory
    Supported Operating Systems
    NI-SCOPE 17.1 supports the following operating systems:
    • Windows 10/8.11/7 SP12
    • Windows Embedded Standard 7 SP12
    • Windows Server 2012 R21
    • Windows Server 2008 R2 SP12
    Note  In 2016, NI-SCOPE dropped support for Windows Vista, Windows XP, Windows Server 2003, and installations of Windows 7 without any service packs. NI-SCOPE will not install or run on an unsupported OS. You cannot deploy or distribute applications that use NI-SCOPE to an unsupported OS. Additionally, after installing NI-SCOPE 17.1, you cannot use any installers built on this computer with any version of LabVIEW, LabWindows™/CVI™, NI TestStand™, or Measurement Studio on an unsupported OS.
    For more information about the changes to our OS support for 2016, refer to KB 79UC78LS, Why Does my LabVIEW, LabWindows/CVI, Measurement Studio, or TestStand Built Installer Fail on Windows XP/Vista and Server 2003?.
    Note  Support for Windows 32-bit operating systems may require disabling physical address extension (PAE). To learn how this might affect your system and what actions you might need to take, visit ni.com/info and enter the Info Code PAESupport.
    1 NI software installs VC2015 Runtime and .NET 4.6.1. Windows 8.1 and Windows Server 2012 R2 require Microsoft updates to support these items. Refer to Microsoft KB2919442 and KB2919355 for more information about how to install these updates.
    2 NI software is signed with a SHA-256 certificate. Windows 7 SP1, Windows Embedded Standard 7 SP1, and Windows Server 2008 R2 SP1 require Microsoft updates to support SHA-256. Refer to Microsoft KB3033929 for more information about how to install this security update.
    Application Software Support
    NI-SCOPE supports the following application software versions, including service packs:
    Microsoft Visual Studio Support
    If you are using the NI-SCOPE .NET Class Library, the .NET Framework 4.0 (minimum) is required. The NI-SCOPE .NET Class Library can be used with the Visual C# or Visual Basic .NET programming languages in any Visual Studio version that can target the .NET Framework 4.0 or the .NET Framework 4.5.
    To use the .NET API, you must install the the .NET class libraries or the .NET Wrapper in addition to the NI device driver. For information about versions of the .NET Framework and the drivers each supports, as well as the download location of the installer files, refer to the National Instruments .NET Driver Support document at ni.com/info and enter Info Code NETAPIdriversupport.
    Application SoftwareVersions Supported by NI-SCOPE 17.1
    LabVIEW2014, 2015, 2016, 2017
    LabVIEW Real-Time Module2014 SP1 or later
    LabWindows™/CVI™2014 SP1 or later
    LabWindows™/CVI™ Real-Time Module2014 SP1 or later
    Microsoft Visual C++ (MSVC)6.0 or later
    Installation Instructions
    NI-SCOPE installs NI-DAQ if it is not already instalLED, or if an earlier version of NI-DAQ is installed. NI-DAQ support files will be installed if you have LabVIEW or LabWindows/CVI in your system. However, the only component that NI-SCOPE needs from NI-DAQ is the device driver.
    Upgrading from a Previous Version of NI-SCOPE
    • From NI-SCOPE 1.0 and 1.1—NI-SCOPE does not install over NI-SCOPE 1.0 or 1.1. You must uninstall these versions of NI-SCOPE before installing a later version of NI-SCOPE.
    • From NI-SCOPE 1.5 and later—NI-SCOPE automatically uninstalls any previous version that is greater or equal to 1.5. If you have modified any old examples, these will be overwritten by the new versions.
    Uninstalling NI-SCOPE
    As part of the NI-SCOPE installation, the following software is installed. To completely remove the NI-SCOPE installation from your system, you must also remove all of the following packages:
    • NI-DAQmx 17.0
    • Traditional NI-DAQ 7.4.4
    • NI Measurement & Automation Explorer 17.0
    • NI Hierarchical Waveform Storage 17.0
    • NI I/O Trace 17.0
    Caution  Several of the software packages listed above are shared with other NI software packages. If you attempt to remove a piece of software that something else is dependent on, a message launches to warn you about the software dependencies. You can choose to either uninstall all of the software or to leave the shared software installed. If you choose to uninstall the shared software, some of your other NI software may no longer function correctly.
    Product Security and Critical Updates
    Visit ni.com/security to view and subscribe to receive security notifications about NI products. Visit ni.com/critical-updates for information about critical updates from NI.
    New Features
    • NI-SCOPE 17.1 adds support for the following PXIe-5172 devices:
      • PXIe-5172 (4 channel, 325T FPGA)
      • PXIe-5172 (8 channel, 325T FPGA)
      • PXIe-5172 (8 channel, 410T FPGA)
    • NI-SCOPE 17.0 adds support for LabVIEW 2017 and LabVIEW NXG hardware and software.
    • NI-SCOPE 16.1 adds support for the PXIe-5164.
    • NI-SCOPE 16.0 adds support for LabVIEW 2016.
    • NI-SCOPE 15.1.1 adds bug fixes for incompatability with NI-RFSA and NI-RFMx.
    • NI-SCOPE 15.1 includes the following new features:
      • Support for the PXIe-5170R and the PXIe-5171R reconfigurable oscilloscopes
      • Support for FPGA extensions
    • NI-SCOPE 15.0 adds support for LabVIEW 2015.
    • NI-SCOPE 14.1 includes the following new features:
      • Support for the PXIe-5105 and the PXIe-5114
      • Debugging for the NI-SCOPE Soft Front Panel
    • NI-SCOPE 14.0 adds support for LabVIEW 2014.
    • NI-SCOPE 4.1.3 adds a bug fix for VIs in LabVIEW 2013.
    • NI-SCOPE 4.1.1 adds a critical bug fix for an issue affecting NI PXIe-5185/5186 digitizers.
    • NI-SCOPE 4.1 includes the following new features:
      • Support for the PXIe-5160, 2.5 GS/s high-speed digitizer
      • NI-P2P support for the PXIe-5160 and the PXIe-5162
    • NI-SCOPE 4.0.5 adds support for LabVIEW 2013.
    • NI-SCOPE 4.0 adds support for the PXIe-5162, 5 GS/s high-speed digitizer.
    • NI-SCOPE 3.9.7 redesigns the NI-SCOPE Soft Front Panel.
    • NI-SCOPE 3.9.6 adds 1MOhm support for the PXIe-5185/5186, 12.5 GS/s high-speed digitizers (new model)
    • NI-SCOPE 3.9.4 adds support for LabVIEW 2012.
    • NI-SCOPE 3.8.9 adds support for NI-RFSA 2.5.2.
    • NI-SCOPE 3.8.8 adds a critical bug fix for the PXI-5900 digitizer.
    • NI-SCOPE 3.8.7 adds critical bug fixes for PXIe-5185/5186 digitizers.
    • NI-SCOPE 3.8.6 adds support for NI-RFSA 2.5.
    • NI-SCOPE 3.8.5 includes the following new features:
      • Support for LabVIEW 2011
      • Addition of the following NI-TClk functions/VIs and attributes/properties:

        LabVIEW VIC/C++ Function
        niTClk Setup For Sync Pulse Sender SynchronizeniTClk_SetupForSyncPulseSenderSynchronize
        niTClk Synchronize to Sync Pulse SenderniTClk_SynchronizeToSyncPulseSender
        niTClk Finish Sync Pulse Sender SynchronizeniTClk_FinishSyncPulseSenderSynchronize

        Labview PropertyC/C++ Attribute
        NI-TClk SyncPulseSender:External Pulse SourceNITCLK_ATTR_SYNC_PULSE_SENDER_SYNC_PULSE_SOURCE

    • NI-SCOPE 3.8 includes the following new features:
      • Support for the PXIe-5185/5186, 12.5 GS/s high-speed digitizers
      • Support for including NI-SCOPE run-time in custom installers built using National Instruments Application Development Environments (ADEs). This installer contains instrument driver run-time components required to deploy applications using National Instruments high-speed digitizers.
        • The run-time installer does not contain support for interactively configuring or testing hardware using Measurement & Automation Explorer (MAX), NI SignalExpress, or the NI-SCOPE Soft Front Panel.
        • The run-time installer does not support upgrading from NI-SCOPE 3.6.x or earlier and NI-DAQmx 8.9.x or earlier.
        • The run-time installer does not support the NI 5102, NI 5112, NI 5620, or NI 5621.


    Supported Hardware
    The following table details the hardware models supported in NI-SCOPE.
    Hardware ProductSupported Under Windows 10/Windows 8.1 (32-bit)/7 (32-bit)1Supported Under Windows 10/Windows 8.1 (64-bit)/7 (64-bit)
    PXI/PCI-5102
    Yes
    No
    PCMCIA/USB/AT-51021
    No
    No
    PXI/PXIe/PCI-5105
    Yes
    Yes
    PXI/PCI-5112
    Yes
    No
    PXI/PXIe/PCI-5114
    Yes
    Yes
    PXI/PXIe/PCI-5122
    Yes
    Yes
    PXI/PCI-5124
    Yes
    Yes
    USB-5132/5133
    Yes
    Yes
    PXI/PCI-5142
    Yes
    Yes
    PXI/PCI-5152
    Yes
    Yes
    PXI/PCI-5153
    Yes
    Yes
    PXI/PCI-5154
    Yes
    Yes
    PXIe-5160/5162
    Yes
    Yes
    PXIe-5164
    Yes
    Yes
    PXIe-5170
    Yes
    Yes
    PXIe-5171
    Yes
    Yes
    PXIe-5172
    Yes
    Yes
    PXIe-5185/5186
    Yes
    Yes
    PXI-5620
    Yes
    No
    PXI-5621
    No
    No
    PXIe-5622
    Yes
    Yes
    PXI-5900
    Yes
    Yes
    PCI-59112
    No
    No
    PXI/PCI-5922
    Yes
    Yes
    1MXI Express and MXI-4 are supported on Windows 10/8.1/7.
    2NI PCMCIA/USB/AT-5102 and NI PCI-5911 are Legacy products.
    Device-specific information about these modules is included in the NI High-Speed Digitizers Help.
    Driver Version Naming Changes
    NI-SCOPE versions are now aligned with the versions of major NI application software products. This alignment gives you information about the year the driver was released and the most recent software version the driver was designed to work with. Driver versions now start with a two-digit year indicator: <;ProductName><Year-BasedVersion>. For example, NI-SCOPE 17.0 is the version released with LabVIEW 2017. The last version released under the old numbering scheme is NI-SCOPE 4.1.3. The first version released under the new numbering scheme is NI-SCOPE 14.0.
    Known Issues
    You can access the software and documentation known issues list online. Refer to the NI website for an up-to-date list of known issues in NI-SCOPE 17.1.
    Accessing the Help
    • For help with the NI-SCOPE driver, refer to the NI High-Speed Digitizers Help, accessible by selecting Help&#187;NI High-Speed Digitzers Help.
    • For help with the NI-SCOPE Soft Front Panel, refer to the NI-SCOPE Soft Front Panel Help, accessible by selecting Help&#187;Online Help.
    Finding Examples
    NI-SCOPE ships with several examples for LabVIEW, LabWindows/CVI, Measurement Studio, MSVC, Visual C++, and Microsoft Visual Basic that will help you develop your software. These examples illustrate how to perform the most common operations with your hardware. To find the examples, go to Start&#187;Programs&#187;National Instruments&#187;NI-SCOPE&#187;Examples.
    For LabVIEW examples, select Help&#187;Find Examples from LabVIEW to launch the NI Example Finder. LabVIEW examples for NI-SCOPE are located in the labview\examples\instr\niScope directory. You can modify an example VI to fit an application, or you can copy and paste from one or more examples into a VI that you create.
    Automating the Installation of NI Products
    You can automate the installation of most NI products using command-line arguments to suppress some or all of the installer user interface and dialog boxes.
    If the NI product you are installing uses Microsoft .NET 4.0, the .NET installer may run before any NI software installs and may require a reboot before the installation of NI software begins. To avoid a .NET reboot, install .NET 4.0 separately before you install NI software.
    For more information about automating the installation of NI products, refer to the following KnowledgeBase articles:
    • For more information about silent installations of individual NI products, refer to KB 4CJDP38M, Automating the Installation of a Single Installer.
    • For more information about silent installations of NI products in a suite, such as NI Developer Suite, refer to KB 4GGGDQH0, How Do I Automate the Installation of a Suited Installer?.
    • To determine what version of NI Installers your product contains, refer to KB 4CJDR18M, How Can I Determine the Type and Version of My NI Installer?.
    Using NI Software with Microsoft Windows 10
    Microsoft Windows 10 is the latest version of the Windows operating system and features significant changes compared to previous versions. Windows 10 introduces several new capabilities and also combines features from both Windows 7 and Windows 8. For more information about NI support for Windows 10, visit ni.com/windows10.
    Using NI Software with Microsoft Windows 8.1
    When you install NI software on Microsoft Windows 8.1, you will notice a few additional tiles in the Apps view, including shortcuts to NI application software products such as NI LabVIEW, Measurement & Automation Explorer (NI MAX), and NI Launcher. For more information about NI support for Windows 8.1, visit ni.com/windows8.
    LabVIEW NXG Support and Considerations
    The following sections detail considerations for using LabVIEW NXG with NI-SCOPE.
    LabVIEW NXG Operating Systems and System Requirements
    Software support for LabVIEW NXG differs in the following ways:
    • System requirements—Only 64-bit (x64) processors are supported.
    • Operating system—Only 64-bit operating systems are supported. Refer to the Supported Operating Systems section for more information.
    LabVIEW NXG Hardware SupportInstalling NI-SCOPE for LabVIEW NXG
    NI automates LabVIEW NXG installation using a package manager. Complete the following steps to install NI-SCOPE for LabVIEW NXG.
    • Visit ni.com/info and enter the info code NXGDownload to access the LabVIEW NXG download page.
    • Click Download LabVIEW NXG 1.0.
    • NI Package Manager installs, then automatically opens a download window.
    • Select LabVIEW NXG Suite and click the green Install button.
    • Select LabVIEW NXG 1.0 and NI-SCOPE.
    • Complete the installer instructions to download LabVIEW NXG 1.0 and NI-SCOPE.
    LabVIEW NXG Help
    View context help in LabVIEW by pressing <Ctrl-H> and hovering over an object.
    Search for items using the search bar in the upper right corner of the LabVIEW window. You can also view context help for the search results.
    Additional documentation is available online at ni.com/manuals.
    LabVIEW NXG Examples
    Launch LabVIEW and click the Learning tab.

    Legal Information
    Copyright
    &#169; 1999–2017 National Instruments. All rights reserved.
    Under the copyright laws, this publication may not be reproduced or transmitted in any form, electronic or mechanical, including photocopying, recording, storing in an information retrieval system, or translating, in whole or in part, without the prior written consent of National Instruments Corporation.
    NI respects the intellectual property of others, and we ask our users to do the same. NI software is protected by copyright and other intellectual property laws. Where NI software may be used to reproduce software or other materials belonging to others, you may use NI software only to reproduce materials that you may reproduce in accordance with the terms of any applicable license or other legal restriction.
    End-User License Agreements and Third-Party Legal Notices
    You can find end-user license agreements (EULAs) and third-party legal notices in the following locations after installation:
    • Notices are located in the <National Instruments>\_Legal Information and <National Instruments> directories.
    • EULAs are located in the <National Instruments>\Shared\MDF\Legal\license directory.
    • Review <National Instruments>\_Legal Information.txt for information on including legal information in installers built with NI products.
    U.S. Government Restricted Rights
    If you are an agency, department, or other entity of the United States Government ("Government"), the use, duplication, reproduction, release, modification, disclosure or transfer of the technical data included in this manual is governed by the Restricted Rights provisions under Federal Acquisition Regulation 52.227-14 for civilian agencies and Defense Federal Acquisition Regulation Supplement Section 252.227-7014 and 252.227-7015 for military agencies.
    IVI Foundation Copyright Notice
    Content from the IVI specifications reproduced with permission from the IVI Foundation.
    The IVI Foundation and its member companies make no warranty of any kind with regard to this material, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The IVI Foundation and its member companies shall not be liable for errors contained herein or for incidental or consequential damages in connection with the furnishing, performance, or use of this material.
    Trademarks
    Refer to the NI Trademarks and Logo Guidelines at ni.com/trademarks for information on NI trademarks. Other product and company names mentioned herein are trademarks or trade names of their respective companies.
    Patents
    For patents covering the NI products/technology, refer to the appropriate location: Help&#187;Patents in your software, the patents.txt file on your media, or the NI Patent Notice at ni.com/patents.
    375360G-01
    回复

    使用道具 举报

    您需要登录后才可以回帖 登录 | 注册会员

    本版积分规则

    《LabVIEW Vision函数实例详解》教程-NI Vision所有函数使用方法介绍,基于NI VISION2020,兼容VDM2021
    石鑫华机器视觉与LabVIEW Vision图像处理PDF+视频教程10种全套
    LabVIEW图像处理教程
    机器视觉商城淘宝店铺
    视觉论坛充值赞助方法

    QQ|机器视觉论坛VISIONBBS.COM|视觉之家VISIONHOME.CN|东莞市华动智能科技有限公司 ( 粤ICP备17078359号-2 )|网站地图

    GMT+8, 2021-9-27 09:18

    Powered by shixinhua.com X3.4

    © 2009-2021 VISIONBBS.COM 浏览量:

    快速回复 返回顶部 返回列表